# Uses of Interface
org.opensaml.soap.wstrust.Encryption

Packages that use Encryption
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of Encryption in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement Encryption
Modifier and Type
Class
Description
`class`
`EncryptionImpl`
EncryptionImpl.
Methods in org.opensaml.soap.wstrust.impl that return Encryption
Modifier and Type
Method
Description
`Encryption`
EncryptionBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`Encryption`
EncryptionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.